## org.springframework.util
Interface StringValueResolver

    public interface StringValueResolver

Simple strategy interface for resolving a String value. Used by `ConfigurableBeanFactory`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `ConfigurableBeanFactory.resolveAliases(org.springframework.util.StringValueResolver)`, `BeanDefinitionVisitor.BeanDefinitionVisitor(StringValueResolver)`, `PropertyPlaceholderConfigurer`

Method Summary
`String` `resolveStringValue(String strVal)` Resolve the given String value, for example parsing placeholders.

Method Detail

### resolveStringValue

    String resolveStringValue(String strVal)

  Resolve the given String value, for example parsing placeholders.

  Parameters:
    `strVal` - the original String value
  Returns:
    the resolved String value

Copyright © 2002-2008 The Spring Framework.